## dnprogs 2.18-1

=== Makefile ===
# Top level Makefile for DECnet programs

include Makefile.common

#
# PKGNAME determines the .tar.gz file name and also is the directory name
#
PKGNAME=dnprogs

SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
	dncopy apps dntask mail phone dnetd scripts

all: 	
#	@. scripts/check_kernel.sh; if [ $$? = 1 ]; then exit 1; fi
	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done

install:
	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done

dep depend:	
	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done

tags:	
	etags */*.cc */*.c


backup:
	rm -f /var/tmp/$(PKGNAME).tgz
	tar -czvf /var/tmp/$(PKGNAME).tgz -Xexcludes-backup . 
	cp /var/tmp/$(PKGNAME).tgz /msdos/dev/bosy/

clean:
	rm -rf debian/tmp
	rm -f debian/files
	rm -f debian/substvars
	rm -f debian/*~
	rm -rf rpmbuild
	rm -rf RPMS
	rm -f .rpm*
	rm -f build
	rm -f core
	@for i in $(SUBDIRS); do make -C $$i $@ ; done

debclean:
	debian/rules clean
#
# Make the distribution tar file
#
dist:	
	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi
	if [ ! -d ../$(PKGNAME)-$(VERSION) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(VERSION); fi
	cd ..; tar -czvhf /var/tmp/$(PKGNAME)-$(VERSION).tar.gz -X$(PKGNAME)-$(VERSION)/excludes-dist $(PKGNAME)-$(VERSION)/;
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi

#
# Make a snapshot release
#
snap:	DATE = $(shell date +'%Y%m%d')
snap:
	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done	
	if [ -L ../$(PKGNAME)-$(DATE) ]; then rm ../$(PKGNAME)-$(DATE); fi
	if [ ! -d ../$(PKGNAME)-$(DATE) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(DATE); fi
	cd ..; tar -czvhf /var/tmp/$(PKGNAME)-$(DATE).tar.gz -X$(PKGNAME)-$(DATE)/excludes-dist $(PKGNAME)-$(DATE);
	if [ -L ../$(PKGNAME)-$(DATE) ]; then rm ../$(PKGNAME)-$(DATE); fi

#
# Make RPM package for Red Hat systems.
#
rpm:
	rm -rf rpmbuild BUILD RPMS
	make clean
	echo "%_topdir `pwd`" > .rpmmacros
	echo "`rpm --showrc|grep \^macrofiles`:`pwd`/.rpmmacros" >.rpmrc
	make prefix=/usr RELEASE=true -j
	make DESTDIR=`pwd`/rpmbuild install
	make dist
	install -d rpmbuild/etc/rc.d/init.d
	install -d rpmbuild/etc/rc.d/rc3.d
	install -d rpmbuild/usr/doc
	install scripts/decnet.sh rpmbuild/etc/rc.d/init.d/decnet
	ln -sf ../init.d/decnet rpmbuild/etc/rc.d/rc3.d/S09decnet
	ln -sf libdnet.so.2 rpmbuild/usr/lib/libdnet.so.1
	sed -e's/%%PACKAGENAME%%/$(PKGNAME)/g'                          \
	    -e's/%%VERSION%%/$(VERSION)/g'                              \
	    -e's/%%MAJOR_VERSION%%/$(MAJOR_VERSION)/g'                  \
	    -e's@%%PREFIX%%@/usr@g'                                     \
	    -e's@%%LIBPREFIX%%@/usr@g'                                  \
	    -e's@%%CONFPREFIX%%@/@g'                                    \
	   < rpm.spec >$(PKGNAME).spec
	mkdir -p BUILD RPMS/$(ARCH)
	cp README NEWS Documentation/*.README BUILD
	rpm -bb --target=$(ARCH) --buildroot `pwd`/rpmbuild -v --rcfile .rpmrc $(PKGNAME).spec
	rm -f $(PKGNAME).spec  .rpmrc .rpmmacros

#
# Make Debian package.
#
deb:
	rm -f Documentation/*~ Documentation/*.bak
	dpkg-buildpackage -rfakeroot

#
# Copy binaries to the web preload directory.
# Only really works on my Intel machine, hence the check
#
bindist: dist rpm deb
	@if [ `uname -n` != "tyke" ]; then echo "Only do this on Patrick\'s Intel box"; exit 1; fi
	cp /usr/src/redhat/SOURCES/$(PKGNAME)-$(VERSION).tar.gz /home/patrick/public_html/decnet
	cp ../$(PKGNAME)_$(VERSION)-1_i386.deb /home/patrick/public_html/decnet
	cp /usr/src/redhat/RPMS/$(ARCH)/$(PKGNAME)-$(VERSION)-1.i386.rpm /home/patrick/public_html/decnet
	cp /scratch/sparclinux/$(PKGNAME)-$(VERSION)-1.sparc.rpm /home/patrick/public_html/decnet

#
# Dummy rule for sub-directories
#
dummy:


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== apps/Makefile ===
#
# Makefile for Eduardo's & contributed apps
#
include ../Makefile.common
CC        = gcc
INCDIR	  = -I.
LDFLAGS   = 
CFLAGS   += -D_SVID_SOURCE
#------------------------------------------------------------------------------

PROG1OBJS = startnet.o
PROG2OBJS = sethost.o 
PROG4OBJS = dnping.o
PROG5OBJS = ctermd.o
PROG6OBJS = dnmount.o
PROG7OBJS = rmtermd.o

PROG1 = startnet
PROG2 = sethost
PROG4 = dnping
PROG5 = ctermd
PROG6 = dnmount
PROG7 = rmtermd
MANPAGES1 = sethost.1 dnping.1
MANPAGES5 = decnet.conf.5
MANPAGES8 = startnet.8 ctermd.8 rmtermd.8 setether.8

ALLPROGS=$(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) 
ifeq (/usr/include/linux/dap_fs.h,$(wildcard /usr/include/linux/dap_fs.h))
ALLPROGS += $(PROG6)
MANPAGES8 += dnmount.8
endif

all: $(ALLPROGS)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG1OBJS) -Wl,-Bstatic $(LIBDNET) -Wl,-Bdynamic

$(PROG2): $(PROG2OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG2OBJS) $(LIBDNET)

$(PROG3): $(PROG3OBJS)
	$(CC) -o $@ $(CFLAGS) $(PROG3OBJS)

$(PROG4): $(PROG4OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG4OBJS) $(LIBDNET)

$(PROG5): $(PROG5OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) -o $@ $(CFLAGS) $(PROG5OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

$(PROG6): $(PROG6OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG6OBJS) $(LIBDNET)

$(PROG7): $(PROG7OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) -o $@ $(CFLAGS) $(PROG7OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

dep:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG6) $(PROG7) \
	*.o *.a *.so *~ .depend

install:
	install -d $(prefix)/sbin
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -d $(prefix)/man/man5
	install -d $(prefix)/man/man8
	install -d $(sysconfprefix)/etc
	install -m 0750 -s $(PROG1) $(prefix)/sbin
	install -m 0755 -s $(PROG2) $(prefix)/bin
	install -m 0755 -s $(PROG4) $(prefix)/bin
	install -m 0755 -s $(PROG5) $(prefix)/sbin
	if [ -f $(PROG6) ]; then install -m 0750 -s $(PROG6) $(prefix)/sbin; fi
	install -m 0755 -s $(PROG7) $(prefix)/sbin
	install -m 0644 $(MANPAGES1) $(prefix)/man/man1
	install -m 0644 $(MANPAGES5) $(prefix)/man/man5
	install -m 0644 $(MANPAGES8) $(prefix)/man/man8
	if [ ! -f $(sysconfprefix)/etc/decnet.conf ]; then \
		install -m 0644 decnet.conf $(sysconfprefix)/etc/decnet.conf.sample; \
	fi

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dncopy/Makefile ===
# Makefile for dncopy

include ../Makefile.common

PROG1=dncopy
PROG2=dntype

MANPAGES=dncopy.1

PROG1OBJS=dncopy.o file.o dnetfile.o unixfile.o dnetfile_dap.o

all: $(PROG1) $(PROG2)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

$(PROG2): $(PROG1)
	ln -sf $< $@

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	ln -sf $(PROG1) $(prefix)/bin/$(PROG2)
	install -m 0644 $(MANPAGES) $(prefix)/man/man1
	ln -sf $(PROG1).1 $(prefix)/man/man1/$(PROG2).1


dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG2) $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dndel/Makefile ===
# Makefile for dndel

include ../Makefile.common

PROG1=dndel

MANPAGES=dndel.1

PROG1OBJS=dndel.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(prefix)/man/man1

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dndir/Makefile ===
# Makefile for dndir

include ../Makefile.common

PROG1=dndir

MANPAGES=dndir.1

PROG1OBJS=dndir.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(prefix)/man/man1

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnetd/Makefile ===
# Makefile for DECnet super server

include ../Makefile.common

PROG1=dnetd

MANPAGES8=dnetd.8
MANPAGES5=dnetd.conf.5

PROG1OBJS=dnetd.o task_server.o

all: $(PROG1)

.c.o:
	$(CC) $(CFLAGS) $(BINARY_PREFIX) -c -o $@ $<

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man5
	install -d $(prefix)/man/man8
	install -m 0750 -s $(PROG1) $(prefix)/sbin
	install -m 0644 $(MANPAGES5) $(prefix)/man/man5
	install -m 0644 $(MANPAGES8) $(prefix)/man/man8
	if [ ! -f $(sysconfprefix)/etc/dnetd.conf ]; then install -m 640 dnetd.conf $(sysconfprefix)/etc; fi
	if [ ! -f $(sysconfprefix)/etc/decnet.proxy ]; then install -m 640 ../fal/decnet.proxy $(sysconfprefix)/etc; fi

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnroute/Makefile ===
IPROUTE2=/usr/local/src/iproute2

DNROUTE=dnroute

CC=gcc -g -Wall -fstrict-prototypes -I$(IPROUTE2)include

all: $(DNROUTE)

$(DNROUTE): dnroute.c dnrtlink.c send_route.c csum.c
	$(CC) $(CFLAGS) -o $@ $^ -L$(IPROUTE2)/lib -lnetlink -lutil -ldnet

clean:
	rm -f $(DNROUTE) *~ *.o

=== dnsubmit/Makefile ===
# Makefile for dnsubmit

include ../Makefile.common

PROG1=dnsubmit
PROG2=dnprint

MANPAGES=dnsubmit.1

PROG1OBJS=dnsubmit.o

all: $(PROG1) $(PROG2)

$(PROG1): $(PROG1OBJS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

$(PROG2): $(PROG1)
	ln -sf $< $@

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	ln -sf $(PROG1) $(prefix)/bin/$(PROG2)
	install -m 0644 $(MANPAGES) $(prefix)/man/man1
	ln -sf $(PROG1).1 $(prefix)/man/man1/$(PROG2).1


dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG2) $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dntask/Makefile ===
# Makefile for dntask

include ../Makefile.common

PROG1=dntask

MANPAGES=dntask.1

PROG1OBJS=dntask.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(PROG1OBJS) $(LIBDNET)

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(prefix)/man/man1

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== fal/Makefile ===
# Makefile for FAL

include ../Makefile.common

PROG1=fal

MANPAGES=fal.8 decnet.proxy.5

PROG1OBJS=fal.o server.o task.o directory.o open.o create.o erase.o rename.o \
          submit.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS) $(DEPLIBDAEMON)
	$(CXX) -o $@ $(CXXFLAGS) $(PROG1OBJS) $(LIBS) $(LIBDAEMON) $(LIBDNET)

install:
	install -d $(prefix)/sbin
	install -d $(prefix)/man/man8
	install -d $(prefix)/man/man5
	install -m 0755 -s $(PROG1) $(prefix)/sbin
	install -m 0644 fal.8 $(prefix)/man/man8
	install -m 0644 decnet.proxy.5 $(prefix)/man/man5

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== include/Makefile ===
# Makefile for includes

include ../Makefile.common

all: 
# Releases are always made for 2.4 kernels
ifdef RELEASE	
	@cp kernel/netdnet/dn.h netdnet || true
endif


install:
	if [ -L $(libprefix)/include/netdnet ]; then rm -f $(libprefix)/include/netdnet; fi
	install -d $(libprefix)/include/netdnet
	install -m 0644 netdnet/dn.h $(libprefix)/include/netdnet
	install -m 0644 netdnet/dnetdb.h $(libprefix)/include/netdnet

dep depend:	

clean:
	rm -f dnetdb/dn.h

# DO NOT DELETE

=== libdaemon/Makefile ===
include ../Makefile.common

LIBOBJS=dnet_daemon.o dnetlog.o
PICOBJS=dnet_daemon.po dnetlog.po
MANPAGES3=dnet_daemon.3

LIBNAME=libdnet_daemon

SHAREDLIB=$(LIBNAME).so.$(VERSION)
STATICLIB=$(LIBNAME).a


all: $(STATICLIB) $(SHAREDLIB)

$(STATICLIB): $(LIBOBJS)
	ar -rv $@ $^

$(SHAREDLIB): $(PICOBJS)
	$(CC) $(CCFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $^
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.c.po:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -fPIC -c -o $@ $<

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f *.o *.po *.bak $(STATICLIB) $(SHAREDLIB) $(LIBNAME).so* .depend

install:
	install -m 0644 -s $(SHAREDLIB) $(libprefix)/lib
	install -m 0644 $(STATICLIB) $(libprefix)/lib
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so
	install -d $(prefix)/man/man3
	install -m 0644 $(MANPAGES3) $(prefix)/man/man3
	ln -sf dnet_daemon.3 $(prefix)/man/man3/dnet_accept.3
	ln -sf dnet_daemon.3 $(prefix)/man/man3/dnet_reject.3

.SUFFIXES: .po

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
dnprogs (2.18-1) unstable; urgency=low

  * Fix dependancies in dnet-progs so libdnet gets pulled in too even when
    build by the autobuilders. Closes: bug#122893
  * Fix sending of binary files by FAL by block.
  * Add .html, .tgz & .bz2 file types to FAL types list

 -- Patrick Caulfield <patrick@debian.org>  Mon, 10 Dec 2001 10:15:12 +0000

dnprogs (2.17-1) unstable; urgency=low

  * Don't print "done" when stopping daemons in dnet-progs.init.d
  * Use cuserid() rather than getlogin() to determine username so that
    commands run under su and sudo work as expected
  * include <stdarg> in rms/getreply.cc so it compiles on hppa
  * Use -fsigned-char when building uulib to make it more portable
  * Fixed message "Error opening file for input: Success" when attempting
    to fetch a locked file using dncopy
  * Fix some lintian warnings

 -- Patrick Caulfield <patrick@debian.org>  Wed,  7 Nov 2001 15:15:28 +0000

dnprogs (2.16-1) unstable; urgency=low

  * Remove pre-increment in FAL so that close-time attributes get
    applied to the right file - and don't crash on the last file.
  * Look at OPEN as well as CLOSE time attributes for SPL, DLT and TEF.
  * fal's directory output now correctly sends the new directory information
    if a double wildcard is used: eg [*]*
  * Fix bug in fal where binary files got corrupted if copied in "record"
    mode
  * setether now also sets the default interface for 2.4 kernels

 -- Patrick Caulfield <patrick@debian.org>  Tue, 16 Oct 2001 14:25:38 +0100

dnprogs (2.15-1) unstable; urgency=low

  * in librms/parse.cc pass va_list in a wrapper struct so that it works on
    powerpc systems.  Closes: bug#111680
  * add set -e to Makefile so it gives up on error. I never was any good at
    writing Makefiles.
  * Minor manpage changes.

 -- Patrick Caulfield <patrick@debian.org>  Sat, 15 Sep 2001 13:26:46 +0100

dnprogs (2.14-1) unstable; urgency=low

  * Fixed random failures of dnet_conn caused by uninitialised structure member.
  * Added printf-style variable arg lists to librms rms_t_* functions
  * Made rpm generate sensible arch codes.
  * setether puts the card in "allmulti" mode. Some cards need this to
    collect the hello messages.
  * added -s (show stats) option to dncopy.

 -- Patrick Caulfield <patrick@debian.org>  Mon,  3 Sep 2001 15:53:48 +0100

dnprogs (2.13-1) unstable; urgency=low

  * Fix use of __GLIBC__ macro
  * Allow binary keys in librms
  * Remove debugging printf from dnet_conn function

 -- Patrick Caulfield <patrick@debian.org>  Tue,  7 Aug 2001 19:32:06 +0100

dnprogs (2.12-1) unstable; urgency=low

  * Don't use makedepend for dependancies.
    Closes: bug#104961
  * Fix symlinks for dn_accept man page

 -- Patrick Caulfield <patrick@debian.org>  Tue, 17 Jul 2001 10:18:32 +0100

dnprogs (2.11-1) unstable; urgency=low

  * Remove build-depends on fakeroot so it can build on MIPS/MIPSEL
    Closes: bug#101427
  * Minor source code fixes so it will compile cleanly with GCC 3.0
  * Added German template for debconf in dnet-common. Thanks to Sebastian Feltel
    Closes: bug#101606

 -- Patrick Caulfield <patrick@debian.org>  Wed, 20 Jun 2001 13:22:34 +0100

dnprogs (2.10-1) unstable; urgency=low

  * Fix crash in libdap if the first byte of a message is the last
    byte of a packet.
  * Add man page symlinks for dnet_accet/dnet_reject and
    dnet_endnode/dnet_nextnode.   Closes: bug#99611

 -- Patrick Caulfield <patrick@debian.org>  Sat,  2 Jun 2001 11:03:54 +0100

dnprogs (2.09-1) unstable; urgency=low

  * Fix config script to allow node numbers > 63
  * Fix compiling on latest libc
  * dnet-common is arch independant
  * Tidy depends and build-depends
  * Changed use of debconf isdefault to seen

 -- Patrick Caulfield <patrick@debian.org>  Sat, 24 Feb 2001 13:33:42 +0000

dnprogs (2.08-1) unstable; urgency=low

  * First Debian upload.  Closes: bug#83642
  * Split into 4 packages.
  * FAL now correctly uses metadata for block-structured files.

 -- Patrick Caulfield <patrick@debian.org>  Sun,  4 Feb 2001 14:23:07 +0000

dnprogs (2.07-1) stable; urgency=low

  * Fix VMS errors sending block-structured files from fal
  * Added support for Ultrix DATE DAP message (another "new" extension)
  * Cope better with VMS errors when sending files (eg. disk full)
  * Changed some prototypes in netdb.h to match Ultrix
  * Fixed compile of phone because of stupid ncurses symbol
  * dnet_conn() is Ultrix-compatible (with a 2.4 kernel)
  * Substantial enhancements to mail to make it work. But only on 2.4 kernels
  * New function dnet_eof. Again, only for 2.4 kernels
  * Shared libraries linked correctly now (according to lintian)
  * Made it work properly on big-endian machines under 2.4
  * Vastly improved debian package
  * Mucked around with nearly all of the man pages a little
  * Made startnet set the MAC address of any or all interfaces
  * Added -f (force) to startnet to make it DOWN an interface before mucking
    about with it.
  * This file is now a Debian changelog

 -- Patrick Caulfield <patrick@debian.org>  Sat,  28 Jan 2000 15:13:09 +0000

dnprogs (2.06-1) stable; urgency=low

  * Fix build of phone on Debian Potato systems
  * Fix bug in FAL where it truncated some binary files in stream mode.
  * Improve performance and system overhead of ctermd & sethost
  * Fixed & tidied RPM building
  * Fixed phone bug so you can dial users by node number now
  * A small number of potential buffer overflows removed from dnetd &
    libdnet_daemon
  * Fixed compilation of phone on SuSE 6.4 & RedHat 6.2 systems
  * librms rms_open with O_CREAT is now useful
  * Fixed several memory leaks in libdnet_daemon (and thus dnetd)
  * dnetd now really re-reads the proxy DB every time
  * ctermd no longer goes into a tight loop if you ^Y^Y the session
  * Updated my email address

 -- Patrick Caulfield <patrick@tykepenguin.com>  Sat,  28 Oct 2000 19:33:06 +0000

dnprogs (2.05-1) stable; urgency=low



=== debian/control ===
Source: dnprogs
Section: net
Priority: extra
Maintainer: Patrick Caulfield <patrick@debian.org>
Build-Depends: debhelper, libncurses5-dev
Standards-Version: 3.5.5

Package: dnet-common
Architecture: all
Depends: debconf(>=0.5.00), debianutils (>=1.13), mawk | awk
Priority: extra
Section: net
Conflicts: dnprogs
Description: Base package for Linux DECnet
 This is the base package for Linux DECnet. it contains the necessary 
 configuration files and a script to set up the MAC address of your
 ethernet card(s) at boot-up.
 .
 You will also need to be running a 2.4+ kernel and have DECnet either
 built as a module or compiled into the kernel.
 . 
 To do useful work with DECnet you will need the libdnet package and 
 probably also dnet-progs.

Package: dnet-progs
Architecture: any
Depends: ${shlibs:Depends}, libdnet(>=${Source-Version})
Priority: extra
Section: net
Description: DECnet user programs and daemons
 These tools are the application layer interface for DECnet on Linux systems.
 They provide file/terminal access facilities between OpenVMS and Linux and 
 remote execution of commands.
 Also included is a Linux version of the VMS "Phone" utility and a VMSMail
 to SMTP gateway.

Package: libdnet
Architecture: any
Depends: ${shlibs:Depends}, dnet-common(>=${Source-Version})
Priority: extra
Section: libs
Description: DECnet Libraries
 This package contains the libraries necessary for a functioning DECnet 
 system. Most DECnet programs require these libraries to be present on 
 the system. The libraries are:
 libdnet        - the basic DECnet API as featured on Ultrix(R) systems
 libdnet_daemon - useful calls for writing DECnet daemons
 libdap         - DAP (Data Access Protocol) C++ classes
 librms         - High level library for programmatic access VMS files 
                  from Linux.

Package: libdnet-dev
Architecture: any
Depends: libdnet(>=${Source-Version})
Priority: extra
Section: devel
Description: DECnet development libraries & Headers
 Theses are the development libraries for Linux DECnet. This package contains
 the static libraries, header files and man pages for DECnet development
 on Linux.

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=2

build:
	$(checkdir)

	make prefix=/usr RELEASE=true
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ` debian/files* core
	-rm -f debian/*substvars
	dh_clean -k

binary-indep: checkroot build
	$(checkdir)
	mkdir -p debian/tmp/etc/modutils
	mkdir -p debian/tmp/etc/default
	mkdir -p debian/tmp/usr/share/doc/dnet-common
	mkdir -p debian/tmp/sbin
	echo "alias net-pf-12 decnet" > debian/tmp/etc/modutils/decnet
	echo "post-install decnet echo \`grep executor /etc/decnet.conf | cut -f2\` > /proc/sys/net/decnet/node_address" >> debian/tmp/etc/modutils/decnet
	echo '# DNET_INTERFACES specifies the names of ethernet interfaces whose' >> debian/tmp/etc/default/decnet
	echo '# MAC address is to be set to the DECnet node address' >> debian/tmp/etc/default/decnet
	echo "DNET_INTERFACES=\"all\"" >> debian/tmp/etc/default/decnet
	echo '# DNET_DAEMONS lists the daemons to start when dnet-progs is installed.' >> debian/tmp/etc/default/decnet
	echo "DNET_DAEMONS=\"dnetd phoned\"" >> debian/tmp/etc/default/decnet
	cp README debian/tmp/usr/share/doc/dnet-common
	cp Documentation/*README debian/tmp/usr/share/doc/dnet-common
	cp apps/decnet.conf debian/tmp/usr/share/doc/dnet-common/decnet.conf.sample
	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
	mv debian/tmp/usr/man debian/tmp/usr/share
	rm debian/tmp/usr/sbin/startnet
	install -m755 apps/setether.sh debian/tmp/sbin/setether
	dh_testversion 2
	dh_installdirs -pdnet-common
	dh_installchangelogs  -pdnet-common
	dh_installdocs  -pdnet-common
	dh_link  -pdnet-common
	dh_installdebconf  -pdnet-common
	dh_installinit  -pdnet-common  --init-script=decnet --update-rcd-params="start\ 39\ S\ .\ \ stop\ 11\ 1\ ."
	dh_strip  -pdnet-common
	dh_movefiles  -pdnet-common
	dh_compress  -pdnet-common
	dh_fixperms  -pdnet-common
	dh_shlibdeps  -pdnet-common
	dh_gencontrol  -pdnet-common
	dh_makeshlibs  -pdnet-common
	dh_installdeb  -pdnet-common
	dh_md5sums  -pdnet-common
	dh_builddeb  -pdnet-common

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS `
	install -d debian/tmp
	mkdir -p debian/tmp/etc/modutils
	mkdir -p debian/tmp/etc/default
	mkdir -p debian/tmp/usr/share/doc/libdnet
	mkdir -p debian/tmp/usr/share/doc/libdnet-dev
	mkdir -p debian/tmp/usr/share/doc/dnet-progs
	mkdir -p debian/tmp/sbin
	cp README debian/tmp/usr/share/doc/libdnet
	cp README debian/tmp/usr/share/doc/dnet-progs
	cp README debian/tmp/usr/share/doc/libdnet-dev
	cp Documentation/*README debian/tmp/usr/share/doc/libdnet
	cp Documentation/*README debian/tmp/usr/share/doc/dnet-progs
	cp Documentation/*README debian/tmp/usr/share/doc/libdnet-dev
	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
	mv debian/tmp/usr/man debian/tmp/usr/share
	mv debian/tmp/usr/sbin/startnet debian/tmp/sbin
	dh_testversion 2
	dh_installdirs -Ndnet-common
	dh_installchangelogs -Ndnet-common
	dh_installdocs -Ndnet-common
	dh_link -Ndnet-common
	dh_installdebconf -Ndnet-common
	dh_installinit  -pdnet-progs  --init-script=dnet-progs
	dh_strip -Ndnet-common
	dh_movefiles -Ndnet-common
	dh_compress -Ndnet-common
	dh_fixperms -Ndnet-common
	dh_shlibdeps -Ndnet-common
	dh_gencontrol -Ndnet-common
	dh_makeshlibs -Ndnet-common
	dh_installdeb -Ndnet-common
	dh_md5sums -Ndnet-common
	dh_builddeb -Ndnet-common


define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## dnprogs 2.27

=== apps/Makefile ===
--- 
+++ 
@@ -72,6 +72,7 @@
 	install -m 0755 -s $(PROG2) $(prefix)/bin
 	install -m 0755 -s $(PROG4) $(prefix)/bin
 	install -m 0755 -s $(PROG5) $(prefix)/sbin
+	install -m 0700 setether.sh $(prefix)/sbin/setether
 	if [ -f $(PROG6) ]; then install -m 0750 -s $(PROG6) $(prefix)/sbin; fi
 	install -m 0755 -s $(PROG7) $(prefix)/sbin
 	install -m 0644 $(MANPAGES1) $(prefix)/man/man1

=== dnlogin/Makefile ===
# Makefile for dnlogin

include ../Makefile.common

PROG1=dnlogin

MANPAGES=dnlogin.1

PROG1OBJS=dnlogin.o found.o cterm.o tty.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(PROG1OBJS) $(LIBDNET)

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(prefix)/man/man1

dep depend:
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnroute/Makefile ===
include ../Makefile.common

DNROUTE=dnroute

CC=gcc -O2 -Wall -Wstrict-prototypes -Inetlink/include

all: $(DNROUTE)

$(DNROUTE): get_neigh.c send_route.c routing_msg.c csum.c netlink/libnetlink.a
	$(CC) $(CFLAGS) -o $@ $^ -L../libdnet -Lnetlink -ldnet -lnetlink

netlink/libnetlink.a:
	$(MAKE) -C netlink

install:
	install -d $(prefix)/sbin
	install -d $(prefix)/man/man8
	install -m 0755 -s dnroute $(prefix)/sbin
	install -m 0644 dnroute.8 $(prefix)/man/man8

clean:
	rm -f $(DNROUTE) *~ *.o netlink/*.o netlink/*.a

=== dnsubmit/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 all: $(PROG1) $(PROG2)
 
-$(PROG1): $(PROG1OBJS)
+$(PROG1): $(PROG1OBJS) $(DEPLIBS)
 	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)
 
 $(PROG2): $(PROG1)

=== libdaemon/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	ar -rv $@ $^
 
 $(SHAREDLIB): $(PICOBJS)
-	$(CC) $(CCFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $^
+	$(CC) $(CCFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $(LIBCRYPT) $^
 	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
 	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

=== libdnet/Makefile ===
#--------------------------------------------------------------------------
# Makefile for libdnet
#--------------------------------------------------------------------------
include ../Makefile.common
CC=gcc
LDFLAGS=-O
AR=ar
ARFLAGS=rcs
MANPAGES3=dnet_htoa.3 dnet_ntoa.3 dnet_addr.3 dnet_conn.3 \
	getnodeadd.3 getnodebyname.3 setnodeent.3 libdnet.3 \
	getnodebyaddr.3 dnet_getnode.3 dnet_eof.3
LIBOBJS :=dnet_htoa.o dnet_ntoa.o dnet_addr.o dnet_conn.o getnodeadd.o \
	getnodebyname.o getnodebyaddr.o setnodeent.o getexecdev.o \
	getnodename.o setnodename.o dnet_getnode.o dnet_pton.o dnet_ntop.o \
	dnet_recv.o dnet_eof.o
PICOBJS:=dnet_htoa.po dnet_ntoa.po dnet_addr.po dnet_conn.po getnodeadd.po \
	getnodebyname.po getnodebyaddr.po setnodeent.po getexecdev.po \
	getnodename.po setnodename.po dnet_getnode.po dnet_pton.po dnet_ntop.po\
	dnet_recv.po dnet_eof.po

LIBNAME=libdnet
SHAREDLIB=$(LIBNAME).so.$(VERSION)

all:  libdnet.a $(SHAREDLIB)

dep:

libdnet.a: ${LIBOBJS} 
	${AR} ${ARFLAGS} libdnet.a ${LIBOBJS}
  
$(SHAREDLIB): ${PICOBJS}
	${CC} ${LDFLAGS} -shared -o $@ ${PICOBJS} -Wl,-soname=libdnet.so.$(MAJOR_VERSION)
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.c.po:
	$(CC) $(CFLAGS) -fPIC -shared $(SYSCONF_PREFIX) -c -o $@ $<

install: libdnet.a $(SHAREDLIB)
	install -d $(libprefix)/lib
	install -m 0644 libdnet.a $(libprefix)/lib/libdnet.a
	install -m 0644 -s $(SHAREDLIB) $(libprefix)/lib/$(SHAREDLIB)
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so

	install -d $(prefix)/man/man3
	install -m 0644 $(MANPAGES3) $(prefix)/man/man3
	ln -sf dnet_getnode.3 $(prefix)/man/man3/dnet_nextnode.3
	ln -sf dnet_getnode.3 $(prefix)/man/man3/dnet_endnode.3

clean:
	rm -f *.a *.o *.po *.so* *~

.SUFFIXES: .po

# DO NOT DELETE

=== mail/Makefile ===
# Makefile for mail progs

include ../Makefile.common

PROG1=vmsmaild
PROG2=sendvmsmail

UUDIR=uulib
UULIB=$(UUDIR)/libuu.a
LIBUU=$(UULIB)

MANPAGES5=vmsmail.conf.5
MANPAGES8=vmsmaild.8 sendvmsmail.8

PROG1OBJS=vmsmaild.o receive.o configfile.o
PROG2OBJS=sendvmsmail.o configfile.o

CDEFS+=-I$(UUDIR) -DPROTOTYPES

all: $(UULIB) $(PROG1) $(PROG2)

$(UULIB): 
	make -C $(UUDIR)

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON) $(UULIB)
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDNET) $(LIBUU) $(LIBDAEMON)

$(PROG2): $(PROG2OBJS) $(DEPLIBDNET) $(UULIB)
	$(CC) $(CFLAGS) -o $@ $(PROG2OBJS) $(LIBDNET) $(LIBUU)

install:
	install -d $(prefix)/bin
	install -d $(prefix)/man/man5
	install -d $(prefix)/man/man8
	install -m 0755 -s $(PROG1) $(prefix)/sbin
	install -m 0755 -s $(PROG2) $(prefix)/sbin
	install -m 0644 $(MANPAGES5) $(prefix)/man/man5
	install -m 0644 $(MANPAGES8) $(prefix)/man/man8

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) *.o *.bak .depend
	make -C $(UUDIR) clean


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== phone/Makefile ===
# Makefile for phone progs

include ../Makefile.common

#
# Look for gtk-config on the path
#
# We need GTK+ version 1.2. I daren't say 1.2 or higher (tho' I will
# allow point releases) because GTK+ changes so much between releases.
#
# Don't make a GTK version for release binaries because it adds too many
# unnecessary dependancies
#
GTK_VERSION=$(shell gtk-config --version 2>/dev/null | cut -d. -f1-2)
ifndef RELEASE
ifeq ($(GTK_VERSION), 1.2)
HAVE_GTK=true
INSTALLDEPS=install_pixmaps
PIXMAPDIR=$(prefix)/X11/pixmaps/phone
endif
endif

LIBPANEL=-lpanel
LIBNCURSES=-lncurses

PROG1=phone
PROG2=phoned

MANPAGES1=phone.1
MANPAGES8=phoned.8

PROG1OBJS=main.o phone_ncurses.o backend.o
PROG2OBJS=phoned.o phone_server.o

all: $(PROG1) $(PROG2)

ifdef HAVE_GTK
PROG1OBJS+=gtkphonesrc.o gtkphonesig.o phone_gtk.o
GTKLIBS=$(shell gtk-config --libs)
CFLAGS+=-DHAVE_GTK $(BINARY_PREFIX) -DPIXMAPDIR=\"$(PIXMAPDIR)\"
endif

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBPANEL) $(LIBNCURSES) $(LIBDNET) $(GTKLIBS)
  
$(PROG2): $(PROG2OBJS) $(DEPLIBDNET)
	$(CC) $(CFLAGS) -o $@ $(PROG2OBJS) $(LIBDNET)

#
# These will only be built if HAVE_GTK is defined
#
gtkphonesrc.o: gtkphonesrc.c
	$(CC) $(CFLAGS) -c -o $@ $< `gtk-config --cflags`

gtkphonesig.o: gtkphonesig.c
	$(CC) $(CFLAGS) -c -o $@ $< `gtk-config --cflags`

phone_gtk.o: phone_gtk.c
	$(CC) $(CFLAGS) -c -o $@ $< `gtk-config --cflags`

install: $(INSTALLDEPS)
	install -d $(prefix)/bin
	install -d $(prefix)/man/man1
	install -d $(prefix)/man/man8
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0755 -s $(PROG2) $(prefix)/sbin
	install -m 0644 $(MANPAGES1) $(prefix)/man/man1
	install -m 0644 $(MANPAGES8) $(prefix)/man/man8

install_pixmaps:
ifndef RELEASE
	install -d $(PIXMAPDIR)
	install -m 0644 pixmaps/*.xpm $(PIXMAPDIR)
endif


dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) *.o *.bak .depend



ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== scripts/Makefile ===
# Makefile for scripts
#
# With luck this should cope with Debian, Redhat, SuSE, Caldera & Slackware type
# distributions - but no promises.
#


include ../Makefile.common

all: 


install:
ifndef MAKEDEB
	if [ -d /var/lib/dpkg ]; then \
	  install -Dm 0700 decnet.sh $(sysconfprefix)/etc/init.d/decnet.sh; \
	elif [ -d /var/lib/YaST ]; then \
	  install -Dm 0700 decnet.sh $(sysconfprefix)/sbin/init.d/decnet; \
	elif [ -d /var/lib/rpm ]; then \
	  install -Dm 0700 decnet.sh $(sysconfprefix)/etc/rc.d/init.d/decnet; \
	else install -Dm 0700 rc.decnet $(sysconfprefix)/etc/rc.d/rc.decnet; \
	fi
endif
	install -m 0755 setup.sh $(prefix)/sbin/decnetconf
	install -m 0644 decnetconf.8 $(prefix)/man/man8

dep depend:	


clean:


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== dnroute/netlink/Makefile ===

NLOBJ=ll_map.o libnetlink.o

CFLAGS+=-Iinclude

all: libnetlink.a # libutil.a

libnetlink.a: $(NLOBJ)
	ar rcs $@ $(NLOBJ)

clean:
	rm -f $(NLOBJ) $(ADDLIB) libnetlink.a

=== debian/changelog ===
dnprogs (2.27) unstable; urgency=low

  * Fix signal handling in sethost so it doesn't die with an embarrassing
    "Alarm clock" message.
  * Add dependancy on modutils. Closes: #251508

 -- Patrick Caulfield <patrick@debian.org>  Sun, 30 May 2004 10:13:57 +0100

dnprogs (2.26) unstable; urgency=low

  * dnetd: Fix log function that could cause daemons to segfault if 
           they ran as a user with an invalid home directory.
  * Minor tweaks to rpm building so the Red Hat users always get
    a useful startup script.
  * Remove some cruft from the Makefile.

 -- Patrick Caulfield <patrick@debian.org>  Wed,  5 Nov 2003 10:30:29 +0000

dnprogs (2.25) unstable; urgency=low

  * po-debconf support and German & French description translations
    Closes: #210661, #211635
  * Get rid of the "-1" in the version number as it's not right, this 
    really is a debian package. But include a README.Debian to keep 
    some people happy.
    Closes: #197332
  * Don't use SIGIO in sethost as it's unreliable and tacky.

 -- Patrick Caulfield <patrick@debian.org>  Wed, 24 Sep 2003 13:57:47 +0100

dnprogs (2.24-1) unstable; urgency=low

  * support for large files.

 -- Patrick Caulfield <patrick@debian.org>  Fri,  6 Jun 2003 12:03:39 +0100

dnprogs (2.23.2-1) unstable; urgency=low

  * Always return 0 from init scripts in case someone installs DECnet
    when they don't actually want it.
    Closes: #192052

 -- Patrick Caulfield <patrick@debian.org>  Tue,  6 May 2003 08:14:29 +0100

dnprogs (2.23.1-1) unstable; urgency=low

  * Add library path to dnroute link.
    Closes: #191946
  * Get rid of C++ism in dnroute

 -- Patrick Caulfield <patrick@debian.org>  Mon,  5 May 2003 09:26:55 +0100

dnprogs (2.23-1) unstable; urgency=low

  * sethost no longer gets stuck in a tight loop after shutting down
    a node.
  * Move libdnet-dev to libdevel section.
  * dnroute is now included.
  * Add routing support to init scripts

 -- Patrick Caulfield <patrick@debian.org>  Sun,  4 May 2003 13:14:33 +0100

dnprogs (2.22-1) unstable; urgency=low

  * Make some bits of dncopy conditional on it being connected to VMS.
    This helps with RSX connectivity.
  * Fix bug in fal where it sends an extra newline at the end of a text file.
  * Make .fal metadata directories 0777 so multiple users can use them.
  * Make metadata file have the same protection as the real file
  * Make records array (for VAR files) increase by 100s rather than 10s as
    that's far too weedy.
  * Red Hat startup scripts sets node name and default device now.
  * getnodename & setnodename in libdnet actually work now.
  * Tidy PTY definitions in Makefile.common & fix PTYs in rmtermd.
    Thanks to Maciej W. Rozycki
  * Fixes and chkconfig to the Red Hat startup script.
    Thanks to Mats Magnusson
  * Added loads of new error messages to libdap so it should be able to
    make sense of most DAP errors now.
  * Minor changes to debian control files to get rid of lintian/linda
    warnings.

 -- Patrick Caulfield <patrick@debian.org>  Sat,  2 Nov 2002 18:18:02 +0000

dnprogs (2.21-1) unstable; urgency=low

  * Don't check_kernel when building DEBS so
    autobuilders can build it. Instead default to kernel 2.4.x
    Previously I had done this manually but I often forgot, this
    should remove that possibility
  * Suggest: kernel-image-2.4

 -- Patrick Caulfield <patrick@debian.org>  Fri, 13 Sep 2002 11:48:28 +0100

dnprogs (2.20-1) unstable; urgency=low

  * Fix vroot not NUL-terminating names properly
  * Fix sethost on 2.4.19+ kernels.
  * FAL fix overrun when sending binary files in record mode - OK you
    shouldn't do that anyway, but FAL shouldn't fail on you either.
  * Fix dncopy -mblock when copying file from VMS.
  * dncopy blocks ATTRIB & ACCESS messages for efficiency.
  * Mention libdumbnet in package description in case people are looking
    for libdnet.sf.net software.

 -- Patrick Caulfield <patrick@debian.org>  Fri, 13 Sep 2002 11:31:45 +0100

dnprogs (2.19-1) unstable; urgency=low

  * Suggests: iproute
  * dnet-progs.init.d doesn't give errors when stopping on a
    system with no DECnet in the kernel
  * Remove node_address setting from modutils into init.d so
    it works when DECnet is compiled into the kernel
  * Makefile fixes
  * startnet fixes to arg parsing
  * phone uses pixmap directory properly
  * ctermd now responds to DEL, ^X etc (hooray!)
  * dnetd task_server now won't run arbitrary programs.
  * dntask prints error messages if the connection fails.
  * setether uses "ip" command if available rather than ifconfig
  * Added timeout switch to dnping
  * FAL no longer eats directories starting with '0'
    Thanks to Matjaz Godec
  * Add virtual-root feature to FAL
  * Change to libdnet_daemon to allow RSX to connect
  * Fixed truncate option in FAL
  * Fixed wildard fetching in FAL so it works with dncopy
  * Changes to FAL to allow RSX file transfers

 -- Patrick Caulfield <patrick@debian.org>  Wed, 17 Jul 2002 16:38:52 +0100

## dnprogs 2.28

=== debian/changelog ===
dnprogs (2.28) unstable; urgency=low

  * Makefile fixups from Maciej W. Rozycki
  * FAL now accepts VMS directories with "][" in them, eg those
    produced by concatenated logicals.

 -- Patrick Caulfield <patrick@debian.org>  Wed, 15 Dec 2004 10:50:44 +0000

dnprogs (2.27.1) unstable; urgency=low

  * Add Dutch debconf translation. Closes: #254842

 -- Patrick Caulfield <patrick@debian.org>  Fri,  9 Jul 2004 13:24:49 +0100
